package cn.minbb.job.config;

import cn.minbb.job.model.User;
import cn.minbb.job.system.UserSession;
import lombok.extern.log4j.Log4j2;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.domain.AuditorAware;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContextHolder;

import java.util.Optional;

@Configuration
@Log4j2
public class AuditorAwareConfig implements AuditorAware<String> {
    @Override
    public Optional<String> getCurrentAuditor() {
        Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
        log.info("审计用户：" + authentication);
        User user = UserSession.getUserAuthentication();
        if (null != user) {
            return Optional.of(String.valueOf(user.getId()));
        } else {
            return Optional.empty();
        }
//        return Optional.ofNullable(SecurityContextHolder.getContext())
//                .map(SecurityContext::getAuthentication)
//                .filter(Authentication::isAuthenticated)
//                .map(Authentication::getPrincipal)
//                .map(String.class::cast);
    }
}
