package cn.minbb.job.controller.rest;

import cn.minbb.job.data.ResponseResult;
import cn.minbb.job.service.WebLogService;
import cn.minbb.job.util.DateUtil;
import lombok.extern.log4j.Log4j2;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Log4j2
@RestController
@RequestMapping(value = "/admin")
public class AdminController {

    private final WebLogService webLogService;

    public AdminController(WebLogService webLogService) {
        this.webLogService = webLogService;
    }

    @GetMapping(value = "/overview/pv-uv")
    public ResponseResult<Serializable> pvUvData(
            @RequestParam(value = "startDate", required = false) @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss") Date startDate,
            @RequestParam(value = "endDate", required = false) @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss") Date endDate
    ) {
        if (null == endDate) endDate = new Date();
        if (null == startDate) startDate = DateUtil.addOrMinusDays(endDate, -30);
        List<Map<String, Integer>> mapList = webLogService.selectPvUvByDateBetween(startDate, endDate);
        return ResponseResult.ok(true).object(mapList).build();
    }
}
