package cn.minbb.job.controller.rest;

import cn.minbb.job.data.Const;
import cn.minbb.job.data.ResponseResult;
import cn.minbb.job.model.Job;
import cn.minbb.job.model.User;
import cn.minbb.job.model.vo.JobVo;
import cn.minbb.job.service.JobService;
import cn.minbb.job.system.UserSession;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Log4j2
@RequestMapping("/job")
@RestController
public class JobController {

    private final JobService jobService;

    public JobController(JobService jobService) {
        this.jobService = jobService;
    }

    @DeleteMapping("")
    public ResponseResult<JobVo> jobDeletePage(@RequestParam Integer id) {
        User user = UserSession.getUserAuthentication();
        if (null == user) {
            return ResponseResult.<JobVo>ok(false).code(Const.ReturnCode.FAILED).message("未能获取用户信息").build();
        } else {
            Job job = jobService.findOneById(id);
            if (null != job) {
                job.setIsEnabled(Boolean.FALSE);
                jobService.saveOne(job);
            }
            return ResponseResult.<JobVo>ok(true).code(Const.ReturnCode.SUCCESS).message("删除成功").build();
        }
    }
}
