package cn.minbb.job.controller.web;

import cn.minbb.job.data.Const;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

@Controller
@RequestMapping("")
public class SignController {

    @GetMapping("/login")
    public ModelAndView loginPage(ModelAndView modelAndView) {
        modelAndView.setViewName(Const.ViewName.VIEW_SIGN_IN);
        return modelAndView;
    }

    @GetMapping("/register")
    public ModelAndView registerPage(ModelAndView modelAndView) {
        modelAndView.addObject(Const.Key.KEY_ACTIVE, Const.ViewName.VIEW_REGISTER);
        modelAndView.setViewName(Const.ViewName.VIEW_REGISTER);
        return modelAndView;
    }

    @GetMapping("/register/user")
    public ModelAndView registerUserPage(ModelAndView modelAndView) {
        modelAndView.setViewName(Const.ViewName.VIEW_SIGN_UP_USER);
        return modelAndView;
    }

    @GetMapping("/register/school")
    public ModelAndView registerSchoolPage(ModelAndView modelAndView) {
        modelAndView.setViewName(Const.ViewName.VIEW_REDIRECT);
        return modelAndView;
    }

    @GetMapping("/register/company")
    public ModelAndView registerCompanyPage(ModelAndView modelAndView) {
        modelAndView.setViewName(Const.ViewName.VIEW_SIGN_UP_COMPANY);
        return modelAndView;
    }
}
