package cn.minbb.job.data;

/**
 * 全局常量
 */
public class Const {

    private Const() {
    }

    /**
     * 返回码常量
     */
    public interface ReturnCode {
        Integer SUCCESS = 0;
        Integer FAILED = -1;
        Integer REQUEST_TOO_BUSY = -2;
        Integer ERROR = -9;
    }

    /**
     * 返回信息常量
     */
    public interface ReturnMessage {
        String SUCCESS = "请求成功";
        String PARAMS_ERROR = "参数校验错误";
        String OBJECT_IS_NULL = "对象为空";
        String REQUEST_TOO_BUSY = "请求过于频繁";
        String ERROR = "服务器内部错误";
        String REMOTE_SERVICE_INVOKE_ERROR = "远程服务调用错误";
    }

    /**
     * 应用常量
     */
    public interface Application {
        String APP_NAME = "校园招聘网";
    }

    /**
     * 视图名称常量
     */
    public interface ViewName {
        String VIEW_REDIRECT = "redirect:/";
        String VIEW_ERROR = "error";
        String VIEW_INDEX = "index";
        String VIEW_REGISTER = "register";
        String VIEW_SIGN_IN = "sign-in";
        String VIEW_SIGN_UP_USER = "sign-up-user";
        String VIEW_SIGN_UP_COMPANY = "sign-up-company";
        String VIEW_ABOUT = "about";
        String VIEW_JOB = "job";
        String VIEW_JOB_FULL = "job-full";
        String VIEW_JOB_PRACTICE = "job-practice";
        String VIEW_COMPANY = "company";
        String VIEW_COMPANIES = "companies";
        String VIEW_COMPANY_INFO = "company-info";
        String VIEW_COMPANY_RESUMES = "company-resumes";
        String VIEW_USER_INFO = "user-info";
        String VIEW_USER_RESUME = "user-resume";
        String VIEW_SCHOOL_INFO = "school-info";
        String VIEW_FEEDBACK = "feedback";
        String VIEW_ADMIN = "admin";
        String VIEW_ADMIN_OVERVIEW = "admin-overview";
        String VIEW_ADMIN_WEB_LOG = "admin-web-log";
    }

    /**
     * 键常量
     */
    public interface Key {
        String KEY_USER = "USER";
        String KEY_ACTIVE = "ACTIVE";
        String KEY_TITLE = "TITLE";
        String KEY_SUBTITLE = "SUBTITLE";
        String KEY_PAGE = "PAGE";
        String KEY_TOTAL_PAGES = "TOTAL_PAGES";
        String KEY_APP_NAME = "APP_NAME";
        String KEY_DATA = "DATA";
        String KEY_DATASET = "DATASET";
        String KEY_REMARK = "REMARK";
    }
}
