package cn.minbb.job.handler;

import cn.minbb.job.data.Const;
import cn.minbb.job.data.ResponseResult;
import cn.minbb.job.util.RequestUtil;
import lombok.extern.log4j.Log4j2;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@Log4j2
@RestControllerAdvice
public class AppExceptionHandler {

    @ExceptionHandler(value = Exception.class)
    public Object errorHandler(HttpServletRequest request, HttpServletResponse response, Exception e) throws Exception {
        e.printStackTrace();
        String error = "全局捕获异常\n" + e.getMessage();
        log.error(error);
        if (RequestUtil.isAjax(request)) {
            return ResponseResult.ok(false).code(Const.ReturnCode.FAILED).message(e.getMessage()).build();
        } else {
            ModelAndView modelAndView = new ModelAndView();
            modelAndView.addObject("exception", e);
            modelAndView.addObject("url", request.getRequestURL());
            modelAndView.setViewName(Const.ViewName.VIEW_ERROR);
            return modelAndView;
        }
    }
}
