package cn.minbb.job.model;

import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * 轮播图
 */
@Data
@Entity
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@Table(name = "banner",
        indexes = {
                @Index(name = "index_title", columnList = "title"),
                @Index(name = "index_subtitle", columnList = "subtitle"),
                @Index(name = "index_type", columnList = "type")
        }
)
public class Banner extends Auditable {

    @Column(name = "title", columnDefinition = "VARCHAR(32) COMMENT '标题'")
    private String title;

    @Column(name = "subtitle", columnDefinition = "VARCHAR(64) COMMENT '子标题'")
    private String subtitle;

    @Column(name = "image", columnDefinition = "VARCHAR(255) COMMENT '图片链接'")
    private String image;

    @Column(name = "url", columnDefinition = "VARCHAR(255) COMMENT '链接'")
    private String url;

    @Column(name = "action", columnDefinition = "VARCHAR(16) COMMENT '动作提示'")
    private String action;

    @Column(name = "priority", columnDefinition = "INT COMMENT '优先级'")
    private Integer priority;

    @Column(name = "type", columnDefinition = "VARCHAR(32) COMMENT '类型'")
    private String type;

    @Column(name = "remark", columnDefinition = "VARCHAR(255) COMMENT '备注'")
    private String remark;

    @Column(name = "is_enabled", nullable = false, columnDefinition = "TINYINT DEFAULT '1' COMMENT '启用'")
    private Boolean isEnabled;
}
