package cn.minbb.job.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * 行业
 */
@Data
@Entity
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@Table(name = "industry",
        indexes = {
                @Index(name = "index_name", columnList = "name")
        }
)
public class Industry extends Auditable {

    @Column(name = "name", nullable = false, columnDefinition = "VARCHAR(32) COMMENT '名称'")
    private String name;

    @Column(name = "description", columnDefinition = "VARCHAR(1000) COMMENT '描述'")
    private String description;

    @Column(name = "priority", columnDefinition = "INT COMMENT '优先级'")
    private Integer priority;

    @Column(name = "is_enabled", nullable = false, columnDefinition = "TINYINT DEFAULT '1' COMMENT '启用'")
    private Boolean isEnabled;
}
