package cn.minbb.job.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 简历
 */
@Data
@Entity
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@Table(name = "resume")
public class Resume extends Auditable {

    @Column(name = "user_id", nullable = false, columnDefinition = "INT COMMENT '用户ID'")
    private Integer userId;

    @Column(name = "name", nullable = false, columnDefinition = "VARCHAR(32) COMMENT '姓名'")
    private String name;

    @Column(name = "photo", nullable = false, columnDefinition = "MEDIUMTEXT COMMENT '照片'")
    private String photo;

    @Column(name = "age", columnDefinition = "INT COMMENT '年龄'")
    private Integer age;

    @Column(name = "job_planning", columnDefinition = "VARCHAR(32) COMMENT '职业规划'")
    private String jobPlanning;

    @Column(name = "phone", columnDefinition = "VARCHAR(32) COMMENT '手机号码'")
    private String phone;

    @Column(name = "mail", columnDefinition = "VARCHAR(64) COMMENT '电子邮箱'")
    private String mail;

    @Column(name = "website", columnDefinition = "VARCHAR(64) COMMENT '网站'")
    private String website;

    @Column(name = "home", columnDefinition = "VARCHAR(32) COMMENT '家乡'")
    private String home;

    @Column(name = "signature", columnDefinition = "VARCHAR(255) COMMENT '签名'")
    private String signature;

    @Column(name = "place", columnDefinition = "VARCHAR(32) COMMENT '当前所在地'")
    private String place;

    @Column(name = "edu_time", columnDefinition = "VARCHAR(64) COMMENT '最高学历时间'")
    private String eduTime;

    @Column(name = "edu_school", columnDefinition = "VARCHAR(64) COMMENT '最高学历学校'")
    private String eduSchool;

    @Column(name = "edu_profession", columnDefinition = "VARCHAR(64) COMMENT '学习专业'")
    private String eduProfession;

    @Column(name = "work_time", columnDefinition = "VARCHAR(64) COMMENT '工作时间'")
    private String workTime;

    @Column(name = "work_company", columnDefinition = "VARCHAR(64) COMMENT '工作公司'")
    private String workCompany;

    @Column(name = "work_position", columnDefinition = "VARCHAR(64) COMMENT '职位'")
    private String workPosition;

    @Column(name = "work_description", columnDefinition = "TEXT COMMENT '工作描述'")
    private String workDescription;

    @Column(name = "work_gain", columnDefinition = "TEXT COMMENT '工作收获'")
    private String workGain;

    @Column(name = "skill", columnDefinition = "TEXT COMMENT '专业技能'")
    private String skill;

    @Column(name = "project", columnDefinition = "TEXT COMMENT '项目经历'")
    private String project;

    @Column(name = "hobby", columnDefinition = "TEXT COMMENT '兴趣爱好'")
    private String hobby;

    @Column(name = "description", columnDefinition = "TEXT COMMENT '描述'")
    private String description;

    @Column(name = "is_enabled", nullable = false, columnDefinition = "TINYINT DEFAULT '1' COMMENT '启用'")
    private Boolean isEnabled;
}
