package cn.minbb.job.model.repository;

import cn.minbb.job.model.Company;
import cn.minbb.job.model.Industry;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface CompanyRepository extends JpaRepository<Company, Integer> {
    List<Company> findTop2ByIsEnabledTrueOrderByPriorityDesc();

    List<Company> findTop4ByIsEnabledTrueOrderByPriorityDesc();

    List<Company> findTop5ByIsEnabledTrueOrderByPriorityDesc();

    Page<Company> findAllByIndustryListInAndIsEnabledTrue(List<Industry> industryList, Pageable pageable);
}
