package cn.minbb.job.model.repository;

import cn.minbb.job.model.Job;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface JobRepository extends JpaRepository<Job, Integer> {
    List<Job> findTop8ByIsEnabledTrueOrderByPriorityDesc();

    List<Job> findTop5ByTypeAndIsEnabledTrueOrderByPriorityDesc(String type);

    List<Job> findTop8ByTypeAndIsEnabledTrueOrderByPriorityDesc(String type);

    List<Job> findTop8ByTypeAndNameLikeAndIsEnabledTrueOrderByPriorityDesc(String type, String name);

    Page<Job> findAllByTypeAndNameLikeAndIsEnabledTrue(String type, String name, Pageable pageable);
}
