package cn.minbb.job.model.repository;

import cn.minbb.job.model.WebLog;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Repository
public interface WebLogRepository extends JpaRepository<WebLog, Integer>, JpaSpecificationExecutor<WebLog> {
    WebLog findTop1ByLocationIsNull();

    List<WebLog> findTop10ByLocationIsNull();

    @Query(value = "SELECT DATE_FORMAT(created_at, '%Y-%m-%d') AS date, COUNT(uri) AS pv, COUNT(DISTINCT ip) AS uv FROM web_log WHERE created_at BETWEEN ?1 AND ?2 GROUP BY date", nativeQuery = true)
    List<Map<String, Integer>> selectPvUvByDateBetween(Date startDate, Date endDate);

    @Query(value = "SELECT COUNT(*) FROM web_log WHERE created_at BETWEEN ?1 AND ?2", nativeQuery = true)
    int countByDateBetween(Date startTime, Date endTime);
}
