package cn.minbb.job.service.impl;

import cn.minbb.job.model.Industry;
import cn.minbb.job.model.repository.IndustryRepository;
import cn.minbb.job.service.IndustryService;
import cn.minbb.job.util.SortTool;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class IndustryServiceImpl implements IndustryService {

    private final IndustryRepository industryRepository;

    public IndustryServiceImpl(IndustryRepository industryRepository) {
        this.industryRepository = industryRepository;
    }

    @Override
    public Industry findOneById(Integer id) {
        if (null == id) return null;
        return industryRepository.findById(id).orElse(null);
    }

    @Override
    public List<Industry> findAll() {
        Industry industry = new Industry();
        industry.setIsEnabled(Boolean.TRUE);
        return industryRepository.findAll(Example.of(industry), SortTool.priorityDown());
    }

    @Override
    public List<Industry> findAllByIdIn(List<Integer> industryIdList) {
        return industryRepository.findAllByIdInAndIsEnabledTrue(industryIdList);
    }
}
