package cn.minbb.job.service.impl;

import cn.minbb.job.model.JobTag;
import cn.minbb.job.model.repository.JobTagRepository;
import cn.minbb.job.service.JobTagService;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class JobTagServiceImpl implements JobTagService {

    private final JobTagRepository jobTagRepository;

    public JobTagServiceImpl(JobTagRepository jobTagRepository) {
        this.jobTagRepository = jobTagRepository;
    }

    @Override
    public List<JobTag> findAll() {
        JobTag jobTag = new JobTag();
        jobTag.setIsEnabled(Boolean.TRUE);
        return jobTagRepository.findAll(Example.of(jobTag));
    }

    @Override
    public List<JobTag> findAllByIdIn(List<Integer> idList) {
        return jobTagRepository.findAllByIdInAndIsEnabledTrue(idList);
    }
}
