package cn.minbb.job.service.impl;

import cn.minbb.job.model.Resume;
import cn.minbb.job.model.repository.ResumeRepository;
import cn.minbb.job.service.ResumeService;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ResumeServiceImpl implements ResumeService {

    private final ResumeRepository resumeRepository;

    public ResumeServiceImpl(ResumeRepository resumeRepository) {
        this.resumeRepository = resumeRepository;
    }

    @Override
    public Resume saveOne(Resume resume) {
        return resumeRepository.save(resume);
    }

    @Override
    public Resume findOneByUserId(Integer userId) {
        Resume resume = new Resume();
        resume.setUserId(userId);
        resume.setIsEnabled(Boolean.TRUE);
        List<Resume> resumeList = resumeRepository.findAll(Example.of(resume));
        return resumeList.isEmpty() ? null : resumeList.get(0);
    }
}
