package cn.minbb.job.service.impl;

import cn.minbb.job.enumerate.Role;
import cn.minbb.job.model.UserRole;
import cn.minbb.job.model.repository.UserRoleRepository;
import cn.minbb.job.service.UserRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UserRoleServiceImpl implements UserRoleService {

    private UserRoleRepository userRoleRepository;

    @Autowired
    public UserRoleServiceImpl(UserRoleRepository userRoleRepository) {
        this.userRoleRepository = userRoleRepository;
    }

    @Override
    public UserRole saveOne(UserRole userRole) {
        return userRoleRepository.save(userRole);
    }

    @Override
    public List<UserRole> saveAll(List<UserRole> userRoleList) {
        return userRoleRepository.saveAll(userRoleList);
    }

    @Override
    public UserRole findOneByName(String name) {
        UserRole userRole = new UserRole(Role.valueOf(name));
        return userRoleRepository.findOne(Example.of(userRole)).orElse(null);
    }
}
