package cn.minbb.job.task;

import cn.minbb.job.enumerate.Role;
import cn.minbb.job.model.UserRole;
import cn.minbb.job.service.UserRoleService;
import lombok.extern.log4j.Log4j2;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

@Log4j2
@Order(1)
@Component
public class InitDataRunner implements ApplicationRunner {

    private final UserRoleService userRoleService;

    public InitDataRunner(UserRoleService userRoleService) {
        this.userRoleService = userRoleService;
    }

    @Override
    public void run(ApplicationArguments args) {
        // 检查用户角色 - 初始化用户角色数据
        for (Role role : Role.values()) {
            String name = role.name();
            String description = role.getDescription();
            if (null == userRoleService.findOneByName(name)) {
                log.info("初始化用户角色数据 -> {} = {}", name, description);
                UserRole userRole = new UserRole(role, description);
                userRoleService.saveOne(userRole);
            }
        }
    }
}
