package cn.minbb.job.util;

import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Sort;

/**
 * JPA 分页 - 页码从 0 开始
 */
public class PageHelper {

    private PageHelper() {
    }

    public static Pageable of(Integer page, Integer size) {
        page = formatParam(page - 1);
        size = formatParam(size);
        return PageRequest.of(page, size);
    }

    public static Pageable of(Integer page, Integer size, Sort sort) {
        page = formatParam(page - 1);
        size = formatParam(size);
        return PageRequest.of(page, size, sort);
    }

    private static Integer formatParam(Integer param) {
        if (null == param || param < 0) param = 0;
        return param;
    }
}
