package cn.minbb.job.util;

import com.alibaba.druid.filter.config.ConfigTools;
import lombok.extern.log4j.Log4j2;
import org.springframework.util.StringUtils;

import java.util.HashMap;
import java.util.Map;

@Log4j2
public class PasswordUtil {

    public static void main(String[] args) {
        Map<String, String> map = databaseEncryptPassword("");
    }

    /**
     * 数据库密码加密
     *
     * @param password 明文
     * @return 加密信息
     */
    public static Map<String, String> databaseEncryptPassword(String password) {
        try {
            Map<String, String> map = new HashMap<>(3);
            String[] arr = ConfigTools.genKeyPair(512);
            String encrypt = ConfigTools.encrypt(arr[0], password);
            map.put("privateKey", arr[0]);
            map.put("publicKey", arr[1]);
            map.put("password", encrypt);
            log.info("privateKey: {}", arr[0]);
            log.info("publicKey: {}", arr[1]);
            log.info("password: {}", encrypt);
            return map;
        } catch (Exception e) {
            log.error("加密异常: ", e);
            return null;
        }
    }

    /**
     * 数据库密码解密
     *
     * @param publicKey 公钥
     * @param password  密文
     * @return 明文
     */
    public static String databaseDecryptPassword(String publicKey, String password) {
        try {
            if (StringUtils.isEmpty(publicKey) || StringUtils.isEmpty(password)) {
                log.error("必传参数不能为空");
                return null;
            } else {
                String decrypt = ConfigTools.decrypt(publicKey, password);
                log.info("解密结果: {}", decrypt);
                return decrypt;
            }
        } catch (Exception e) {
            log.error("解密异常", e);
            return null;
        }
    }
}
