package cn.minbb.job.util;

import org.springframework.data.domain.Sort;

/**
 * 排序工具
 */
public class SortTool {

    private SortTool() {
    }

    public static Sort idUp() {
        return Sort.by(Sort.Direction.ASC, "id");
    }

    public static Sort idDown() {
        return Sort.by(Sort.Direction.DESC, "id");
    }

    public static Sort createdAtUp() {
        return Sort.by(Sort.Direction.ASC, "createdAt");
    }

    public static Sort createdAtDown() {
        return Sort.by(Sort.Direction.DESC, "createdAt");
    }

    public static Sort updatedAtUp() {
        return Sort.by(Sort.Direction.ASC, "updatedAt");
    }

    public static Sort updatedAtDown() {
        return Sort.by(Sort.Direction.DESC, "updatedAt");
    }

    public static Sort priorityUp() {
        return Sort.by(Sort.Direction.ASC, "priority");
    }

    public static Sort priorityDown() {
        return Sort.by(Sort.Direction.DESC, "priority");
    }

    public static Sort basicAscSort(String sort) {
        return Sort.by(Sort.Direction.ASC, sort);
    }

    public static Sort basicDescSort(String sort) {
        return Sort.by(Sort.Direction.DESC, sort);
    }

    /**
     * 基本排序
     *
     * @param order 默认降序 - desc
     * @param sort  默认ID - id
     * @return 排序规则
     */
    public static Sort basicSort(String order, String sort) {
        if (order == null) {
            order = "desc";
        }
        if (sort == null) {
            sort = "id";
        }
        return Sort.by(Sort.Direction.fromString(order), sort);
    }
}
